function Plot_Fig3

Psi=0.833; 
Omega=0.25;
A=4.1e-20; 
rhop=1420; 
grav=0.9825e-4; 

Dmin = 0.02;
Dmax = 140;
n    = 1000;
D    = logspace(log10(Dmin),log10(Dmax),n);

for i=1:n
    Bo(i) = Bond(D(i)/2,A,grav,rhop,Psi,Omega);    
end

disp(' ')
Bocri = 1; 
Dcri  = 2*sqrt(1.1e17*A*Psi*Omega/rhop/grav/Bocri);
disp(['Bo_cri = ' num2str(Bocri) ', D_cri = ' num2str(Dcri)])
Bocri = 0.1; 
Dcri  = 2*sqrt(1.1e17*A*Psi*Omega/rhop/grav/Bocri);
disp(['Bo_cri = ' num2str(Bocri) ', D_cri = ' num2str(Dcri)])
disp(' ')

% -------------------------------------------------------------------------
% Plot 
% -------------------------------------------------------------------------

figure(1)
clf
h = plot(D,Bo,'k-');
hold on
g = plot(Dcri,Bocri,'d');
hold off
set(g,'markersize',8);
set(g,'markerfacecolor','b');
set(g,'markeredgecolor','k');
set(h,'linewidth',1)
set(h,'linewidth',1)
set(gca,'fontsize',12)
set(gca,'xscale','log')
set(gca,'yscale','log')
grid on
box on
xlabel('Diameter [m]')
ylabel('Bond Number')
legend(g,'B_{cri} = 0.1')

end

function res=Bond(R,A,g,rhop,Psi,Omega) 

res=1.1e17*A*Psi*Omega/rhop/g./R.^2; 

end
